<jsp:directive.page pageEncoding="UTF-8" />
<jsp:scriptlet>
	// printHeader.jsp は、リクエストのヘッダー情報を返す JSP です。
	// JSP では、request オブジェクトでアクセスできます。
	// スコープは、request です。
</jsp:scriptlet>

<div class="bold">ServleRequest HeaderNames</div>
<table class="box_all" >
<tr><th>KEY</th><th>VALUE</th></tr>
<jsp:scriptlet>
	if( true ) {
		java.util.Enumeration enum1 = request.getHeaderNames();
		while( enum1.hasMoreElements() ) {
			String key = (String)(enum1.nextElement());
			String value = request.getHeader( key );
			if ( value != null )  {
</jsp:scriptlet>
<tr>
	<td><jsp:expression>key</jsp:expression>:</td>
	<td style="white-space: normal"><jsp:expression>value</jsp:expression></td>
</tr>
<jsp:scriptlet>
		    }
		}
	}
</jsp:scriptlet>
</table>
<p><!-- --></p>
